Name:          hicolor-icon-theme
Version:       0.17
Release:       1mamba
Summary:       Icon-theme contains the standard and also references the default icon theme called hicolor
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://icon-theme.freedesktop.org/wiki/HicolorTheme
Source:        http://icon-theme.freedesktop.org/releases/hicolor-icon-theme-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires(pre): %{_bindir}/gtk-update-icon-cache
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Hicolor-icon-theme is the default icon theme that all icon themes automatically inherit from.
The specification is availible at:
http://www.freedesktop.org/standards/icon-theme-spec/

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor >/dev/null 2>&1
exit 0

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >/dev/null 2>&1
exit 0

%postun
if [ $1 -eq 0 ]; then
   touch --no-create %{_datadir}/icons/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_datadir}/icons/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_datadir}/icons/hicolor/index.theme
%doc COPYING

%changelog
* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17-1mamba
- update to 0.17

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15-1mamba
- update to 0.15

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic update by autodist

* Mon Feb 04 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.12-1mamba
- update to 0.12

* Mon Jan 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- launch gtk-update-icon-cache after installation

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 0.10-1mamba
- update to 0.10

* Tue Jan 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1qilnx
- package created by autospec
